Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

List Namespace Access Policies

GET
/registry/v1/workspaces/{workspace}/namespaces/{namespace}/access-policies
curl --request GET \
--url https://example.com/registry/v1/workspaces/example/namespaces/example/access-policies

Returns a page of access policies bound to the given Namespace, filtered by AIP-160 expression and ordered per AIP-132.

workspace
required
string

The unique identifier of the workspace that the namespace belongs to

namespace
required
string

The unique identifier of the namespace whose policies are listed

page_size
integer format: int32

The maximum number of access policies to return. The service may return fewer than this value. If unspecified, at most 20 access policies will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_token
string

A page token, received from a previous ListNamespaceAccessPolicies call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListNamespaceAccessPolicies must match the call that provided the page token.

filter
string

A filter expression allows you to filter the access policies listed in the response. At qibdo, we use the AIP-160 proposal, that means that your expression should include: field name, an operator, and the value you wish to filter by. The value can be a string, number, or boolean, and the operator must be one of the following: =, !=, >, <, <=, >=, or : You can group multiple expressions using parentheses and the logical operators AND and OR. Examples: principal_id = "abc-123" -> Filter by the principal that the policy is granted to (action = "PUSH") AND (principal_type = "USER") -> Filter by action and principal type expires_at:* -> Returns policies that have an expiry set

order_by
string

The order in which to sort the results. If not specified, the results will be sorted by created in descending order. At qibdo, we use the AIP-132 proposal, that means: Values should be a comma separated list of fields. For example: "foo,bar". The default sort order is ascending. To specify descending order, a suffix " desc" should be added. For example: "foo desc,bar". Redundant space characters in the syntax are insignificant.

OK

Media type application/json

ListNamespaceAccessPoliciesResponse

Response message for ListNamespaceAccessPolicies. Note: This API intentionally omits total_size from list responses. Keyset pagination does not support efficient total count computation (COUNT(*) requires a full table scan). Per AIP-158, total_size is optional.

object
access_policies

List of the access policies bound to the requested namespace.

Array<object>
object
id
stringOutput only
scope_type
required
string format: enum
Allowed values: POLICY_SCOPE_TYPE_UNSPECIFIED POLICY_SCOPE_TYPE_NAMESPACE POLICY_SCOPE_TYPE_REPOSITORY
scope_id
required
string
principal_id
required
string
principal_type
required
string format: enum
Allowed values: PRINCIPAL_TYPE_UNSPECIFIED PRINCIPAL_TYPE_USER PRINCIPAL_TYPE_GROUP PRINCIPAL_TYPE_SERVICE_ACCOUNT
actions
required
Array<string>
Allowed values: REGISTRY_ACTION_UNSPECIFIED REGISTRY_ACTION_PULL REGISTRY_ACTION_PUSH REGISTRY_ACTION_DELETE REGISTRY_ACTION_ADMIN
created
string format: date-time Output only
updated
string format: date-time Output only
next_page_token

A token, which can be sent as page_token to retrieve the next page. If this field is empty, there are no subsequent pages.

string
Example
{
"access_policies": [
{
"scope_type": "POLICY_SCOPE_TYPE_UNSPECIFIED",
"principal_type": "PRINCIPAL_TYPE_UNSPECIFIED",
"actions": [
"REGISTRY_ACTION_UNSPECIFIED"
]
}
]
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}